import request from '@/utils/request'

// 获取运单基本信息
export function getWaybillNo(parameter) {
  return request({
    url: '/api/waybill/no',
    method: 'get',
    params: parameter
  })
}
// 获取运单物流列表
export function getWaybill(parameter) {
  return request({
    url: '/api/waybill-logistics',
    method: 'get',
    params: parameter
  })
}
// 获取运单列表
export function getWaybillTask(parameter) {
  return request({
    url: '/api/waybill-task',
    method: 'get',
    params: parameter
  })
}

// 获取温湿度列表
export function waybillTaskData(parameter) {
  return request({
    url: '/api/waybill-task/data',
    method: 'post',
    data: parameter
  })
}

// 获取轨迹数据列表
export function waybillTaskLocus(parameter) {
  return request({
    url: '/api/waybill-task/locus',
    method: 'get',
    params: parameter
  })
}

// 获取最新一条温湿度数据
export function wayNewestLocus(parameter) {
  return request({
    url: '/api/waybill-task/newest-locus',
    method: 'post',
    data: parameter
  })
}
